<?php
// Quelques traitements
if ($_POST['copyPOS'][0] == 'center' and $_POST['copyPOS'][1] == 'center') {
  $_POST['copyPOS'] = 'center';
} else {
  $_POST['copyPOS'] = implode('-', $_POST['copyPOS']);
}
$_POST['copyCOLOR'] = str_replace('#', null, $_POST['copyCOLOR']);
$_POST['prefixe_mini'] = delete_special_car($_POST['prefixe_mini']);
$_POST['DIRsource'] = rtrim($_POST['DIRsource'], '/') . '/';
$_POST['DIRsortie'] = rtrim($_POST['DIRsortie'], '/') . '/';

// Vrifications
if (!is_decimal($_POST['Qhd']) OR $_POST['Qhd'] > 100) {
  $_POST['Qhd'] = 100;
  $ERRORS['conf'][] = array(l10n('Qhd'), 'must_be_integer_100');
}
if (!is_decimal($_POST['Qnormal']) OR $_POST['Qnormal'] > 100) {
  $_POST['Qnormal'] = 100;
  $ERRORS['conf'][] = array(l10n('Qnormal'), 'must_be_integer_100');
}
if (!is_decimal($_POST['Qthumbnail']) OR $_POST['Qthumbnail'] > 100) {
  $_POST['Qthumbnail'] = 100;
  $ERRORS['conf'][] = array(l10n('Qthumbnail'), 'must_be_integer_100');
}
if (!is_decimal($_POST['DIMhd'])) {
  $_POST['DIMhd'] = 2560;
  $ERRORS['conf'][] = array(l10n('DIMhd'), 'must_be_integer');
}
if (!is_decimal($_POST['DIMnormal']) OR $_POST['DIMnormal'] > $_POST['DIMhd']) {
  $_POST['DIMnormal'] = 800;
  $ERRORS['conf'][] = array(l10n('DIMnormal'), 'must_be_integer');
}
if (!is_decimal($_POST['DIMthumbnail']) OR $_POST['DIMthumbnail'] > $_POST['DIMnormal']) {
  $_POST['DIMthumbnail'] = 120;
  $ERRORS['conf'][] = array(l10n('DIMthumbnail'), 'must_be_integer');
}
if (!is_decimal($_POST['DPI'])) {
  $_POST['DPI'] = 72;
  $ERRORS['conf'][] = array(l10n('DPI'), 'must_be_integer');
}
if (!is_decimal($_POST['copySIZE'])) {
  $_POST['copySIZE'] = 0.05;
  $ERRORS['conf'][] = array(l10n('copySIZE'), 'must_be_decimal');
}
  

// Plugins : supprime les plugins manquants & charge les actions de configuration
$PLUGIN_ACTION = 'save_config';

foreach ($_POST['Plugins'] as $plugin_id => $plugin_config) {
  if (isset($plugin_config['delete'])) {
    unset($_POST['Plugins'][$plugin_id]);
  } else if (file_exists('plugins/'.$plugin_id.'/setup.php')) {
    include('plugins/'.$plugin_id.'/setup.php');
  }
}


// crase la configuration
unset($_POST['submit']);
$CONF = array_merge($CONF, array_settype($_POST));

// Contenu du fichier
$content = '<?xml version="1.0" encoding="UTF-8"?>'."\r\n".'<config>'."\r\n";
$content .= XMLcreate($_POST);
$content .= '</config>';
file_put_contents('config.xml', $content);

if (!isset($ERRORS['conf'])) {
  // header('Location:index.php');
  $PAGE['header'] .= '<meta http-equiv="refresh" content="2;url=index.php">';
  $PAGE['end'] .= '<div class="generic finish">'.l10n('Saved').'</div>';
}

?>